<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Encuentros</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <p:fieldset>
            <h:form id="datos">
                <h:panelGrid columns="2">
                    <p:outputLabel value="SELECCIONE JUGADOR"/>
                    <p:selectOneMenu value="#{jugadorPartidoController.jugador.idjugador}">
                        <f:selectItems value="#{jugadorController.lista}" var="jugador" itemLabel="#{jugador.nombre} Equipo: #{jugador.idequipo.pais.pais}" itemValue="#{jugador.idjugador}"/>
                    </p:selectOneMenu>
                    <p:outputLabel value="SELECCIONE PARTIDO"/>
                    <p:selectOneMenu value="#{jugadorPartidoController.partido.idpartido}">
                        <f:selectItems value="#{partidoController.lista}" var="partidos" itemLabel="#{partidos.idlugar.idpista.pista} Modalidad: #{partidos.idmodal.nombre}" itemValue="#{partidos.idpartido}"/>
                    </p:selectOneMenu>
                    <p:outputLabel value="RESULTADO"/>
                    <p:inputText value="#{jugadorPartidoController.jugadorPartido.resultado}"/>
                    <p:outputLabel value="GANADOR"/>
                    <p:selectOneMenu value="#{jugadorPartidoController.jugadorPartido.ganador}">
                        <f:selectItem itemValue="true" itemLabel="SI"/>
                        <f:selectItem itemValue="false" itemLabel="NO"/>
                    </p:selectOneMenu>
                    <p:commandButton value="REGISTRAR" rendered="#{jugadorPartidoController.jugadorPartido.resultado==null}" actionListener="#{jugadorPartidoController.insertar()}" update=":tabla,datos"/>
                    <p:commandButton value="ACTUALIZAR" rendered="#{jugadorPartidoController.jugadorPartido.resultado!=null}" actionListener="#{jugadorPartidoController.editar()}" update=":tabla,datos"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br></br>
        <p:fieldset legend="ENCUENTROS REGISTRADOS">
            <h:form id="tabla">
                <p:dataTable value="#{jugadorPartidoController.lista}" var="jugadorP" paginator="true" rows="4">
                    <p:column headerText="JUGADOR">
                        <p:outputLabel value="#{jugadorP.idjugador.nombre}"/>
                    </p:column>
                    <p:column headerText="PAIS">
                        <p:outputLabel value="#{jugadorP.idjugador.idequipo.pais.pais}"/>
                    </p:column>
                    <p:column headerText="NOMBRE DE TORNEO">
                        <p:outputLabel value="#{jugadorP.idpartido.idlugar.idtorneo.nombre}"/>
                    </p:column>
                    <p:column headerText="AÑO DEL TORNEO">
                        <p:outputLabel value="#{jugadorP.idpartido.idlugar.idtorneo.fecha_fin}">
                            <f:convertDateTime pattern="yyyy"/>
                        </p:outputLabel>
                    </p:column>
                    <p:column headerText="FASE">
                        <p:outputLabel value="#{jugadorP.idpartido.idpremio.idfase.fase}"/>
                    </p:column>
                    <p:column headerText="PARTIDO">
                        <p:outputLabel value="#{jugadorP.idpartido.idpartido}"/>
                    </p:column>
                    <p:column headerText="Modalidad">
                        <p:outputLabel value="#{jugadorP.idpartido.idmodal.nombre}"/>
                    </p:column>
                    <p:column headerText="RESULTADO">
                        <p:outputLabel value="#{jugadorP.resultado}"/>
                    </p:column>
                    <p:column headerText="ARBITRO">
                        <p:outputLabel value="#{jugadorP.idpartido.idarbi.nombre}"/>
                    </p:column>           
                    <p:column headerText="PREMIO ACUMULADO">
                        <p:outputLabel value="#{jugadorP.idpartido.idpremio.premio}"/>
                    </p:column>
                    <p:column headerText="GANADOR">
                        <p:outputLabel value="SI" rendered="#{jugadorP.ganador}"/>
                        <p:outputLabel value="NO" rendered="#{!jugadorP.ganador}"/>
                    </p:column>
                    
                    <p:column headerText="ACCIONES">
                        <p:commandButton value="EDITAR" actionListener="#{jugadorPartidoController.consultarById(jugadorP)}" update=":datos"/>
                        <p:commandButton value="ELIMINAR" actionListener="#{jugadorPartidoController.eliminar(jugadorP)}" update=":tabla"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>